# Uses of Class
org.springframework.aop.support.annotation.AnnotationMatchingPointcut

Packages that use AnnotationMatchingPointcut
Package
Description
org.springframework.aop.support.annotation
Annotation support for AOP pointcuts.

## Uses of AnnotationMatchingPointcut in org.springframework.aop.support.annotation

Methods in org.springframework.aop.support.annotation that return AnnotationMatchingPointcut
Modifier and Type
Method
Description
`static AnnotationMatchingPointcut`
AnnotationMatchingPointcut.`forClassAnnotation(Class<? extends Annotation> annotationType)`
Factory method for an AnnotationMatchingPointcut that matches for the specified annotation at the class level.
`static AnnotationMatchingPointcut`
AnnotationMatchingPointcut.`forMethodAnnotation(Class<? extends Annotation> annotationType)`
Factory method for an AnnotationMatchingPointcut that matches for the specified annotation at the method level.